Package org.silverpeas.components.datawarning.model

## Class DataWarningQueryResult

- java.lang.Object
- - org.silverpeas.components.datawarning.model.DataWarningQueryResult

-     public class DataWarningQueryResult
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ArrayList<String>` | `columns` |
    `protected Exception` | `errEx` |
    `protected String` | `errFullText` |
    `protected String` | `errLowestLevel` |
    `protected String` | `errQuery` |
    `protected boolean` | `hasError` |
    `protected int` | `persoColumnNumber` |
    `protected String` | `persoUID` |
    `protected DataWarningQuery` | `queryParent` |
    `protected List<List<String>>` | `values` |
    `protected Map<String,​List<List<String>>>` | `valuesByUser` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningQueryResult​(DataWarningQuery qp, boolean pe, int colNum, String puid)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addColumn​(String columnName)` |
    `void` | `addError​(Exception ex, String sqlQuery)` |
    `void` | `addRow​(List<String> row)` |
    `List<String>` | `getColumns()` |
    `Exception` | `getErrorException()` |
    `String` | `getErrorFullText()` |
    `int` | `getNbColumns()` |
    `int` | `getNbRows()` |
    `int` | `getNbRows​(String userId)` |
    `DataWarningQuery` | `getParent()` |
    `int` | `getPersoColumnNumber()` |
    `List<String>` | `getPersoColumns()` |
    `int` | `getPersoNbColumns()` |
    `protected List<String>` | `getRow​(int row)` |
    `protected List<String>` | `getRow​(String userId, int row)` |
    `String` | `getValue​(int row, int col)` |
    `String` | `getValue​(String userId, int row, int col)` |
    `List<List<String>>` | `getValues()` |
    `List<List<String>>` | `getValues​(String userId)` |
    `boolean` | `hasError()` |
    `boolean` | `isPersoEnabled()` |
    `String` | `returnPersoValue​(String userId)` |
    `long` | `returnTriggerValueFromResult()` |
    `long` | `returnTriggerValueFromResult​(String userId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queryParent

          protected DataWarningQuery queryParent

    - #### columns

          protected ArrayList<String> columns

    - #### values

          protected List<List<String>> values

    - #### hasError

          protected boolean hasError

    - #### errEx

          protected Exception errEx

    - #### errQuery

          protected String errQuery

    - #### errLowestLevel

          protected String errLowestLevel

    - #### errFullText

          protected String errFullText

    - #### valuesByUser

          protected Map<String,​List<List<String>>> valuesByUser

    - #### persoColumnNumber

          protected int persoColumnNumber

    - #### persoUID

          protected String persoUID

  - ### Constructor Detail

    - #### DataWarningQueryResult

          public DataWarningQueryResult​(DataWarningQuery qp,
                                        boolean pe,
                                        int colNum,
                                        String puid)

  - ### Method Detail

    - #### getParent

          public DataWarningQuery getParent()

    - #### hasError

          public boolean hasError()

    - #### getErrorFullText

          public String getErrorFullText()

    - #### getErrorException

          public Exception getErrorException()

    - #### addError

          public void addError​(Exception ex,
                               String sqlQuery)

    - #### addColumn

          public void addColumn​(String columnName)

    - #### getColumns

          public List<String> getColumns()

    - #### getValues

          public List<List<String>> getValues()

    - #### returnTriggerValueFromResult

          public long returnTriggerValueFromResult()
                                            throws DataWarningException

      Throws:
        `DataWarningException`

    - #### addRow

          public void addRow​(List<String> row)

    - #### getRow

          protected List<String> getRow​(int row)

    - #### getValue

          public String getValue​(int row,
                                 int col)

    - #### getNbColumns

          public int getNbColumns()

    - #### getNbRows

          public int getNbRows()

    - #### isPersoEnabled

          public boolean isPersoEnabled()

    - #### returnTriggerValueFromResult

          public long returnTriggerValueFromResult​(String userId)
                                            throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getValues

          public List<List<String>> getValues​(String userId)

    - #### getRow

          protected List<String> getRow​(String userId,
                                        int row)

    - #### getValue

          public String getValue​(String userId,
                                 int row,
                                 int col)

    - #### getPersoColumns

          public List<String> getPersoColumns()

    - #### getPersoNbColumns

          public int getPersoNbColumns()

    - #### getNbRows

          public int getNbRows​(String userId)

    - #### getPersoColumnNumber

          public int getPersoColumnNumber()

    - #### returnPersoValue

          public String returnPersoValue​(String userId)